package com.gic.store.dao.mapper;

import com.gic.store.dto.StoreDTO;
import com.gic.store.entity.TabStore;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

public interface TabStoreMapper {
    /**
     * 根据主键删除
     *
     * @param storeId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStore record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStore record);

    /**
     * 根据主键查询
     *
     * @param storeId 主键
     * @return 实体对象
     */
    TabStore selectByPrimaryKey(Integer storeId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStore record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStore record);

    /**
     * 如果id不为null， 会查询storeId不为传入参数的数据；如果id为null， 会略过
     * @param tabStore
     * @return
     */
    Integer countBySelective(TabStore tabStore);

    Integer updateGroupId(@Param("oldStoreGroupId") Integer oldStoreGroupIds, @Param("newStoreGroupId") Integer newStoreGroupId);

    Integer countByBrandId(@Param("brandId") Integer brandId);

    Page listStore(StoreDTO storeDTO);
}