package com.gic.store.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.store.constant.StoreImportEnum;
import com.gic.store.dao.mapper.TabStoreTmpMapper;
import com.gic.store.dto.StoreTmpDTO;
import com.gic.store.entity.TabStoreTmp;
import com.gic.store.service.StoreImportService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/7/3
 */
@Service
public class StoreImportServiceImpl implements StoreImportService {

    @Autowired
    private TabStoreTmpMapper tabStoreTmpMapper;

    @Override
    public Boolean hasImportingStore(Integer enterpriseId) {
        int count = tabStoreTmpMapper.countByStore(enterpriseId, StoreImportEnum.WAIT.getCode());
        return count > 0;
    }

    @Override
    public void delStoreTmp(Integer enterpriseId) {
        tabStoreTmpMapper.delStoreTmp(enterpriseId);
    }

    @Override
    public void save(StoreTmpDTO bean) {
        TabStoreTmp tabStoreTmp = EntityUtil.changeEntityByOrika(TabStoreTmp.class, bean);
        tabStoreTmpMapper.insertSelective(tabStoreTmp);
    }

    @Override
    public Page listStoreTmp(Integer enterpriseId, boolean isSuccess, Integer currentPage, Integer pageSize) {
        PageHelper.startPage(currentPage, pageSize);
        return (Page) tabStoreTmpMapper.listStoreTmp(enterpriseId, isSuccess);
    }

    @Override
    public List<TabStoreTmp> listUnImportStore(String enterpriseId) {
        return tabStoreTmpMapper.listUnImportStore(Integer.parseInt(enterpriseId));
    }

    @Override
    public void updateData(StoreTmpDTO t) {
        TabStoreTmp tabStoreTmp = new TabStoreTmp();
        tabStoreTmp.setStoreTmpId(t.getStoreTmpId());
        tabStoreTmp.setErrorMessage(t.getErrorMessage());
        tabStoreTmpMapper.updateByPrimaryKeySelective(tabStoreTmp);
    }


}

